NX Open C++ Reference Guide
|
Represents a collection of Annotations::Centerline objects
To obtain an instance of this class, refer to Annotations::AnnotationManager
Created in NX6.0.0.
More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Represents a collection of Annotations::Centerline objects
To obtain an instance of this class, refer to Annotations::AnnotationManager
Created in NX6.0.0.
iterator NXOpen::Annotations::CenterlineCollection::begin | ( | ) |
Returns an iterator addressing the first element.
NXOpen::Annotations::AutomaticCenterlineBuilder* NXOpen::Annotations::CenterlineCollection::CreateAutomaticCenterlineBuilder | ( | ) |
Creates the AutomaticCenterlineBuilder.
NXOpen::Annotations::BoltCircleCenterlineBuilder* NXOpen::Annotations::CenterlineCollection::CreateBoltCircleCenterlineBuilder | ( | NXOpen::Annotations::BoltCircleCenterline * | centerline | ) |
Creates the BoltCircleCenterline builder.
centerline | Annotations::BoltCircleCenterline to be edited, if NULL then create a new one |
NXOpen::Annotations::Centerline2dBuilder* NXOpen::Annotations::CenterlineCollection::CreateCenterline2dBuilder | ( | NXOpen::Annotations::Centerline2d * | cline | ) |
Creates the 2D Centerline builder.
cline | Annotations::Centerline2d to be edited |
NXOpen::Annotations::Centerline3dBuilder* NXOpen::Annotations::CenterlineCollection::CreateCenterline3dBuilder | ( | NXOpen::Annotations::Centerline3d * | cline | ) |
Creates the 3D Centerline builder.
cline | Annotations::Centerline3d to be edited |
NXOpen::Annotations::CenterMarkBuilder* NXOpen::Annotations::CenterlineCollection::CreateCenterMarkBuilder | ( | NXOpen::Annotations::CenterMark * | centerline | ) |
Creates the CenterMark Builder.
centerline | Annotations::CenterMark to be edited, if NULL then create a new one |
NXOpen::Annotations::CircularCenterlineBuilder* NXOpen::Annotations::CenterlineCollection::CreateCircularCenterlineBuilder | ( | NXOpen::Annotations::CircularCenterline * | centerline | ) |
Creates the CircularCenterline builder.
centerline | Annotations::CircularCenterline to be edited, if NULL then create a new one |
NXOpen::Annotations::PmiCenterline3dBuilder* NXOpen::Annotations::CenterlineCollection::CreatePmiCenterline3dBuilder | ( | NXOpen::Annotations::PmiCenterline3d * | cline | ) |
Creates the Pmi 3D Centerline builder.
cline | Annotations::PmiCenterline3d to be edited |
NXOpen::Annotations::PmiCenterMarkBuilder* NXOpen::Annotations::CenterlineCollection::CreatePmiCenterMarkBuilder | ( | NXOpen::Annotations::PmiCenterMark * | centerline | ) |
Creates the Pmi CenterMark Builder.
centerline | Annotations::PmiCenterMark to be edited, if NULL then create a new one |
NXOpen::Annotations::SymmetricalCenterlineBuilder* NXOpen::Annotations::CenterlineCollection::CreateSymmetricalCenterlineBuilder | ( | NXOpen::Annotations::SymmetricalCenterline * | centerline | ) |
Creates the Symmetrical Centerline builder.
centerline | Annotations::SymmetricalCenterline to be edited, if NULL then create a new one |
iterator NXOpen::Annotations::CenterlineCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
NXOpen::Annotations::Centerline* NXOpen::Annotations::CenterlineCollection::FindObject | ( | const NXString & | journalIdentifier | ) |
Finds the Centerline with the given name.
An exception will be thrown if no object can be found with given name
journalIdentifier | Identifier of the centerline to be found |
NXOpen::Annotations::Centerline* NXOpen::Annotations::CenterlineCollection::FindObject | ( | const char * | journalIdentifier | ) |
Finds the Centerline with the given name.
An exception will be thrown if no object can be found with given name
journalIdentifier | Identifier of the centerline to be found |
tag_t NXOpen::Annotations::CenterlineCollection::Tag | ( | ) | const |
Returns the tag of this object.